### Method

# GObject Object setv

since: 2.54

#### Declaration

    void
    g_object_setv (
      GObject* object,
      guint n_properties,
      const gchar** names,
      const GValue* values
    )

#### Description

Sets `n_properties` properties for an `object`. Properties to be set will be taken from `values`. All properties must be valid. Warnings will be emitted and undefined behaviour may result if invalid properties are passed in.

Available since: 2.54

This method is not directly available to language bindings.

#### Parameters

`n_properties`

  Type: `guint`

  The number of properties.

`names`

  Type: An array of `gchar*`

  The names of each property to be set.

  The length of the array is specified in the `n_properties` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`values`

  Type: An array of `GValue`

  The values of each property to be set.

  The length of the array is specified in the `n_properties` argument.
  The data is owned by the caller of the method.